Page MenuHomePhabricator

[ODRHash] Hash `ObjCMethodDecl` and diagnose discovered mismatches.
ClosedPublic

Authored by vsapsai on Jul 21 2022, 7:53 PM.

Diff Detail

Event Timeline

vsapsai created this revision.Jul 21 2022, 7:53 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 21 2022, 7:53 PM
Herald added a subscriber: ributzka. · View Herald Transcript
vsapsai requested review of this revision.Jul 21 2022, 7:53 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 21 2022, 7:53 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
vsapsai updated this revision to Diff 447803.Jul 26 2022, 12:41 PM

Use diagnoseSubMismatchMethodParameters both for Obj-C and C++ methods.

vsapsai added a subscriber: Restricted Project.
jansvoboda11 accepted this revision.Oct 7 2022, 2:11 PM

This look good to me, but you might want to get a review from someone who worked on this before.

This revision is now accepted and ready to land.Oct 7 2022, 2:11 PM
bruno accepted this revision.Oct 10 2022, 10:33 AM
bruno added a subscriber: bruno.

LGTM

Thanks for the review! I'll wait for the blocking D130324 to land before I commit this change. I appreciate your speedy response.

This revision was landed with ongoing or failed builds.Oct 17 2022, 6:54 PM
This revision was automatically updated to reflect the committed changes.